> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meteroid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend a webhook delivery

> Re-queues the same event for the same endpoint. Fails if the endpoint is disabled.



## OpenAPI

````yaml https://api.meteroid.com/api-docs/openapi.json post /api/v1/webhooks/deliveries/{delivery_id}/resend
openapi: 3.1.0
info:
  title: meteroid
  description: ''
  license:
    name: LicenseRef-Proprietary
    identifier: LicenseRef-Proprietary
  version: 0.1.0
servers: []
security: []
tags:
  - name: Meteroid
    description: Meteroid API
  - name: Add-ons
  - name: Batch Jobs
  - name: Checkout Sessions
  - name: Connect
    description: Manage connected accounts (Express & Standard)
  - name: Coupons
  - name: Credit Notes
  - name: Custom Properties
  - name: Customers
  - name: Entitlements
  - name: Events
  - name: Features
  - name: Invoices
  - name: Metrics
  - name: OAuth
    description: OAuth 2.0 token endpoints (public, client-credentials auth)
  - name: OAuth Apps
    description: Manage OAuth applications for Connect integrations
  - name: Plans
  - name: Product Families
  - name: Products
  - name: Subscriptions
  - name: Usage
  - name: Webhook Endpoints
    description: Manage outbound webhook endpoints and inspect their deliveries
paths:
  /api/v1/webhooks/deliveries/{delivery_id}/resend:
    post:
      tags:
        - Webhook Endpoints
      summary: Resend a webhook delivery
      description: >-
        Re-queues the same event for the same endpoint. Fails if the endpoint is
        disabled.
      operationId: resend_webhook_delivery
      parameters:
        - name: delivery_id
          in: path
          description: Webhook delivery ID
          required: true
          schema:
            $ref: '#/components/schemas/WebhookDeliveryId'
      responses:
        '200':
          description: Delivery re-queued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDelivery'
        '400':
          description: Endpoint is disabled
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '404':
          description: Delivery not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    WebhookDeliveryId:
      type: string
      format: MeteroidId
      examples:
        - whd_7n42DGM5Tflk9n8mt7Fhc7
    WebhookDelivery:
      type: object
      description: One event queued for one endpoint, with the state of its retry cycle.
      required:
        - id
        - message_id
        - endpoint_id
        - event_type
        - status
        - attempt_count
        - manual
        - created_at
      properties:
        attempt_count:
          type: integer
          format: int32
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
        endpoint_id:
          $ref: '#/components/schemas/WebhookEndpointId'
        event_type:
          type: string
        id:
          $ref: '#/components/schemas/WebhookDeliveryId'
        last_error:
          type:
            - string
            - 'null'
        last_response_status:
          type:
            - integer
            - 'null'
          format: int32
        manual:
          type: boolean
          description: True when the delivery was created by a resend or a test event.
        message_id:
          $ref: '#/components/schemas/EventId'
        next_attempt_at:
          type:
            - string
            - 'null'
          format: date-time
        status:
          $ref: '#/components/schemas/WebhookDeliveryStatus'
    RestErrorResponse:
      type: object
      required:
        - code
        - message
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
    WebhookEndpointId:
      type: string
      format: MeteroidId
      examples:
        - whe_7n42DGM5Tflk9n8mt7Fhc7
    EventId:
      type: string
      format: MeteroidId
      examples:
        - evt_7n42DGM5Tflk9n8mt7Fhc7
    WebhookDeliveryStatus:
      type: string
      enum:
        - PENDING
        - IN_FLIGHT
        - SUCCEEDED
        - FAILED
        - CANCELLED
    ErrorCode:
      type: string
      enum:
        - BAD_REQUEST
        - NOT_FOUND
        - CONFLICT
        - FORBIDDEN
        - UNAUTHORIZED
        - TOKEN_EXPIRED
        - TOO_MANY_REQUESTS
        - INTERNAL_SERVER_ERROR
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.